## savescummer 0.2-maemo1

=== src/linuxport/Makefile ===
TARGET = savescummer

OFILES = linuxport.o \
	 ../gfxengine.o \
	 ../gfx_sdl.o \
	 ../grammar.o \
	 ../avatar.o \
	 ../ai.o \
	 ../dpdf.o \
	 ../hiscore.o \
	 ../item.o \
	 ../map.o \
	 ../mapdata.o \
	 ../mob.o \
	 ../msg.o \
	 ../panel.o \
	 ../rand.o \
	 ../score.o \
	 ../speed.o \
	 ../text.o \
	 ../worldstate.o \
	 ../glbdef.o

.cpp.o:
	g++ -O3 `sdl-config --cflags` -c $< -o $@

all: $(TARGET)

$(TARGET): $(OFILES)
	g++ -O3 -o $(TARGET) $(OFILES) `sdl-config --libs`

clean:
	rm -f *.o
	rm -f ../*.o
	rm -f $(TARGET)

premake:
	cd .. ; ./support/enummaker/enummaker source.txt

=== src/macport/Makefile ===
TARGET = savescummer

OFILES = macport.o \
	 ../gfxengine.o \
	 ../gfx_curses.o \
	 ../grammar.o \
	 ../avatar.o \
	 ../ai.o \
	 ../dpdf.o \
	 ../hiscore.o \
	 ../item.o \
	 ../map.o \
	 ../mapdata.o \
	 ../mob.o \
	 ../msg.o \
	 ../panel.o \
	 ../rand.o \
	 ../score.o \
	 ../speed.o \
	 ../text.o \
	 ../worldstate.o \
	 ../glbdef.o

.cpp.o:
	g++ -O3 -DUSE_CURSES -c $< -o $@

all: $(TARGET)

$(TARGET): $(OFILES)
	g++ -O3 -o $(TARGET) $(OFILES) -lcurses

clean:
	rm -f *.o
	rm -f ../*.o
	rm -f $(TARGET)

premake:
	cd .. ; ./support/enummaker/enummaker source.txt

=== src/support/enummaker/Makefile ===
TARGET = enummaker

OFILES = enummaker.o \
	 StdAfx.o

.cpp.o:
	g++ -O3 -c $< -o $@

all: $(TARGET)

$(TARGET): $(OFILES)
	g++ -O3 -o $(TARGET) $(OFILES)

clean:
	rm -f *.o
	rm -f $(TARGET)

=== debian/changelog ===
savescummer (0.2-maemo1) unstable; urgency=low

  * Initial release

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 13 Jul 2011 10:58:40 +0200

=== debian/control ===
Source: savescummer
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com> 
Build-Depends: debhelper (>= 5.0.42), libsdl1.2-dev
Standards-Version: 3.8.1
Homepage: 

Package: savescummer
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Not typical roguelike

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif


configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp

build: build-stamp
build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	cd src/support/enummaker/ ; make
	cd src/linuxport/ ; make premake
	cd src/linuxport/ ; make

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	cd src/support/enummaker/ ; make clean
	cd src/linuxport/ ; make clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs


	#folders
	install -d ${CURDIR}/debian/savescummer/opt/savescummer/bin
	install -d ${CURDIR}/debian/savescummer/opt/savescummer/rooms
	install -d ${CURDIR}/debian/savescummer/opt/savescummer/gfx
	install -d ${CURDIR}/debian/savescummer/opt/savescummer/data


	#files
	install ${CURDIR}/src/linuxport/savescummer ${CURDIR}/debian/savescummer/opt/savescummer/bin/
	install ${CURDIR}/rooms/piecelist.map ${CURDIR}/debian/savescummer/opt/savescummer/rooms/
	install ${CURDIR}/gfx/alphabet_maemo.bmp ${CURDIR}/debian/savescummer/opt/savescummer/gfx/alphabet.bmp
	install ${CURDIR}/text.txt ${CURDIR}/debian/savescummer/opt/savescummer/

	#menu and icon
	#install ${CURDIR}/savescummer.png     ${CURDIR}/debian/savescummer/usr/share/icons/hicolor/64x64/hildon

	#install -d ${CURDIR}/debian/savescummer/usr/share/applications/hildon
	#install ${CURDIR}/savescummer.desktop ${CURDIR}/debian/savescummer/usr/share/applications/hildon


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## savescummer 0.2-maemo2

=== debian/changelog ===
savescummer (0.2-maemo2) unstable; urgency=low

  * Initial release
  * optified
  * alphabet.bmp for maemo
  * use /opt/savescummer/save for hiscore and savegames

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Wed, 13 Jul 2011 18:04:40 +0200

=== debian/rules ===
--- 
+++ 
@@ -59,7 +59,7 @@
 	install -d ${CURDIR}/debian/savescummer/opt/savescummer/bin
 	install -d ${CURDIR}/debian/savescummer/opt/savescummer/rooms
 	install -d ${CURDIR}/debian/savescummer/opt/savescummer/gfx
-	install -d ${CURDIR}/debian/savescummer/opt/savescummer/data
+	install -d ${CURDIR}/debian/savescummer/opt/savescummer/save
 
 
 	#files
